# Uses of Interface
org.mariadb.jdbc.authentication.AuthenticationPlugin

Packages that use AuthenticationPlugin
Package
Description
org.mariadb.jdbc.authentication
org.mariadb.jdbc.internal.com.send.authentication

## Uses of AuthenticationPlugin in org.mariadb.jdbc.authentication

Methods in org.mariadb.jdbc.authentication that return AuthenticationPlugin
Modifier and Type
Method
Description
`static AuthenticationPlugin`
AuthenticationPluginLoader.`get(String type)`
Get authentication plugin from type String.

## Uses of AuthenticationPlugin in org.mariadb.jdbc.internal.com.send.authentication

Classes in org.mariadb.jdbc.internal.com.send.authentication that implement AuthenticationPlugin
Modifier and Type
Class
Description
`class`
`CachingSha2PasswordPlugin`
`class`
`ClearPasswordPlugin`
`class`
`Ed25519PasswordPlugin`
`class`
`NativePasswordPlugin`
`class`
`OldPasswordPlugin`
`class`
`SendGssApiAuthPacket`
`class`
`SendPamAuthPacket`
`class`
`Sha256PasswordPlugin`